# Uses of Enum
org.eclipse.birt.chart.model.attribute.IntersectionType

Packages that use IntersectionType
Package
Description
org.eclipse.birt.chart.model.attribute
Contains attribute interface definitions (for fonts, fills, lines, etc) for all chart components that may be customized via appropriate accessor methods.
org.eclipse.birt.chart.model.attribute.impl
Contains attribute core class implementations (for fonts, fills, lines, etc) for all chart components that may be customized via appropriate accessor methods.

## Uses of IntersectionType in org.eclipse.birt.chart.model.attribute

Fields in org.eclipse.birt.chart.model.attribute with type parameters of type IntersectionType
Modifier and Type
Field
Description
`static final List<IntersectionType>`
IntersectionType.`VALUES`
A public read-only list of all the 'Intersection Type' enumerators.
Methods in org.eclipse.birt.chart.model.attribute that return IntersectionType
Modifier and Type
Method
Description
`static IntersectionType`
IntersectionType.`get(int value)`
Returns the 'Intersection Type' literal with the specified integer value.
`static IntersectionType`
IntersectionType.`get(String literal)`
Returns the 'Intersection Type' literal with the specified literal value.
`static IntersectionType`
IntersectionType.`getByName(String name)`
Returns the 'Intersection Type' literal with the specified name.
`IntersectionType`
AxisOrigin.`getType()`
Returns the value of the 'Type' attribute.
`static IntersectionType`
IntersectionType.`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static IntersectionType[]`
IntersectionType.`values()`
Returns an array containing the constants of this enum type, in the order they are declared.
Methods in org.eclipse.birt.chart.model.attribute with parameters of type IntersectionType
Modifier and Type
Method
Description
`void`
AxisOrigin.`setType(IntersectionType value)`
Sets the value of the '`Type`' attribute.

## Uses of IntersectionType in org.eclipse.birt.chart.model.attribute.impl

Methods in org.eclipse.birt.chart.model.attribute.impl that return IntersectionType
Modifier and Type
Method
Description
`IntersectionType`
AttributeFactoryImpl.`createIntersectionTypeFromString(org.eclipse.emf.ecore.EDataType eDataType, String initialValue)`
`IntersectionType`
AttributeFactoryImpl.`createIntersectionTypeObjectFromString(org.eclipse.emf.ecore.EDataType eDataType, String initialValue)`
`IntersectionType`
AxisOriginImpl.`getType()`
Methods in org.eclipse.birt.chart.model.attribute.impl with parameters of type IntersectionType
Modifier and Type
Method
Description
`static final AxisOrigin`
AxisOriginImpl.`create(IntersectionType it, DataElement de)`
`static final AxisOrigin`
AxisOriginImpl.`createDefault(IntersectionType it, DataElement de)`
`void`
AxisOriginImpl.`setType(IntersectionType newType)`